
Redmine - Feature #30985

Add CSS class to user custom fields

2019-03-07 05:23 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.3   

Resolution: Fixed   

Description

User custom fields displayed in the profile page don't have a CSS class that expresses the internal id of the custom field.

Those fields should have a class as already done in issue and project custom fields.

[The current HTML]

<ul>

  <li>Login: jsmith</li>

    <li>Phone number: 01 42 50 00 00</li>

    <li>Registered on: 07/19/2006</li>

    <li>Last connection: 07/19/2006</li>

</ul>

 [HTML with classes]

<ul>

  <li>Login: jsmith</li>

    <li class="cf_4">Phone number: 01 42 50 00 00</li>

    <li>Registered on: 07/19/2006</li>

    <li>Last connection: 07/19/2006</li>

</ul>

Related issues:

Related to Redmine - Feature #30977: Add CSS class to project custom fields Closed

Related to Redmine - Patch #30994: Refactor custom field css classes Closed

Associated revisions

Revision 17935 - 2019-03-09 16:07 - Go MAEDA

Add CSS class to user custom fields (#30985).

Patch by Go MAEDA.

Revision 17936 - 2019-03-09 16:22 - Go MAEDA

Merged r17935 from trunk to 4.0-stable (#30985).

History

#1 - 2019-03-07 05:23 - Go MAEDA

- Related to Feature #30977: Add CSS class to project custom fields added

#2 - 2019-03-07 15:29 - Go MAEDA

- File 30985.diff added

- Target version set to 4.0.3

Attaching a patch.
#3 - 2019-03-07 22:10 - Marius BĂLTEANU

- Related to Patch #30994: Refactor custom field css classes added

#4 - 2019-03-09 16:08 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed.

#5 - 2019-03-09 16:22 - Go MAEDA

- Status changed from Resolved to Closed

Files

30985.diff 1.17 KB 2019-03-07 Go MAEDA
